Pular para o conteúdo principal
POST
/
br
/
transactions
/
inbound
Criar transação de entrada (Brasil)
curl --request POST \
  --url https://hg.cash/api/v1/br/transactions/inbound \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "email": "jsmith@example.com",
  "webhookUrl": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "qrCode": "<string>",
  "pixCopiaECola": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hg.cash/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

User API authentication token with format: cash_<64-char-hex>

Example: cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2

Corpo

application/json

Request to create an inbound transaction (receive payment) for Brazil BRL accounts

accountId
string<uuid>
obrigatório

ID of the account to receive funds into

amount
number<decimal>
obrigatório

Amount to receive (positive)

email
string<email>
obrigatório

Payer email for the charge

webhookUrl
string<uri>

Optional URL to receive status updates

Resposta

Transaction created

id
string<uuid>
obrigatório

HG.Cash transaction ID

status
enum<string>
obrigatório
Opções disponíveis:
pending
qrCode
string

QR code string for the payer to scan (base64 or PIX string)

pixCopiaECola
string

PIX copy-paste string (alternative to QR code)